package com.iotechn.unimall.admin.api.sys;

import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.dto.StatisticsView;
import com.iotechn.unimall.data.model.Page;
import com.iotechn.unimall.data.domain.ExpenditureManageDO;
import com.iotechn.unimall.data.dto.ExpenditureManageDTO;

import java.util.List;

/**
 * Generate Code By Unimall
 */
@HttpOpenApi(group = "admin.expenditure", description = "unimall_expenditure_manageService")
public interface ExpenditureService {

    @HttpMethod(description = "删除", permission = "expenditure:expenditure:delete", permissionParentName = "其他", permissionName = "Expenditure")
    public boolean delete(
            @NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "id") Long id,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;


    @HttpMethod(description = "查询", permission = "expenditure:expenditure:list", permissionParentName = "其他", permissionName = "Expenditure")
    public Page<ExpenditureManageDO> list(
            @HttpParam(name = "ExpenditureManageDTO", type = HttpParamType.COMMON, description = "ExpenditureManageDTO") ExpenditureManageDTO selectDTO,
            @HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
            @HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;
    @HttpMethod(description = "查询", permission = "expenditure:expenditure:list", permissionParentName = "其他", permissionName = "Expenditure")
    public List<StatisticsView> listStatistics(
            @HttpParam(name = "StatisticsView", type = HttpParamType.COMMON, description = "StatisticsView") StatisticsView statisticsView) throws ServiceException;

    @HttpMethod(description = "添加", permission = "expenditure:expenditure:create", permissionParentName = "其他", permissionName = "Expenditure")
    public ExpenditureManageDO create(
            @HttpParam(name = "ExpenditureManageDTO", type = HttpParamType.COMMON, description = "ExpenditureManageDTO") ExpenditureManageDTO insertDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "编辑", permission = "expenditure:expenditure:edit", permissionParentName = "其他", permissionName = "Expenditure")
    public String edit(
            @HttpParam(name = "ExpenditureManageDTO", type = HttpParamType.COMMON, description = "ExpenditureManageDTO") ExpenditureManageDTO editDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    }