package com.iotechn.unimall.admin.api.sys;

import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.dto.CollectionPaymentDTO;
import com.iotechn.unimall.data.model.Page;
import com.iotechn.unimall.data.domain.ExpressBusinessDO;
import com.iotechn.unimall.data.dto.ExpressBusinessDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Generate Code By Unimall
 */
@HttpOpenApi(group = "admin.express", description = "unimall_express_businessService")
public interface ExpressService {

    @HttpMethod(description = "删除", permission = "express:express:delete", permissionParentName = "其他", permissionName = "Express")
    public boolean delete(
            @NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "id") Long id,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;


    @HttpMethod(description = "查询", permission = "express:express:list", permissionParentName = "其他", permissionName = "Express")
    public Page<ExpressBusinessDO> list(
            @HttpParam(name = "ExpressBusinessDTO", type = HttpParamType.COMMON, description = "ExpressBusinessDTO") ExpressBusinessDTO selectDTO,
            @HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
            @HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "添加", permission = "express:express:create", permissionParentName = "其他", permissionName = "Express")
    public ExpressBusinessDO create(
            @HttpParam(name = "ExpressBusinessDTO", type = HttpParamType.COMMON, description = "ExpressBusinessDTO") ExpressBusinessDTO insertDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "编辑", permission = "express:express:edit", permissionParentName = "其他", permissionName = "Express")
    public String edit(
            @HttpParam(name = "ExpressBusinessDTO", type = HttpParamType.COMMON, description = "ExpressBusinessDTO") ExpressBusinessDTO editDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;



    @HttpMethod(description = "导出", permission = "express:express:export", permissionParentName = "其他", permissionName = "Express")
    public String export(
            @HttpParam(name = "ExpressBusinessDTO", type = HttpParamType.COMMON, description = "ExpressBusinessDTO") ExpressBusinessDTO expressBusinessDTO,
            @HttpParam(name = "HttpServletResponse", type = HttpParamType.COMMON, description = "response") HttpServletResponse response) throws Exception;


    @HttpMethod(description = "添加", permission = "express:express:createAll", permissionParentName = "其他", permissionName = "Express")
    public void createAll(
            @HttpParam(name = "ExpressBusinessDTO", type = HttpParamType.COMMON, description = "ExpressBusinessDTO") List<ExpressBusinessDTO> expressBusinessDTOs) throws ServiceException;


}