package com.iotechn.unimall.admin.api.sys;

import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.domain.SettlementManagementDO;
import com.iotechn.unimall.data.dto.ForeignExchangeDTO;
import com.iotechn.unimall.data.model.Page;
import com.iotechn.unimall.data.domain.MaritimeAdministrationDO;
import com.iotechn.unimall.data.dto.MaritimeAdministrationDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Generate Code By Unimall
 */
@HttpOpenApi(group = "admin.maritimeadministration", description = "unimall_maritime_administrationService")
public interface MaritimeAdministrationService {

    @HttpMethod(description = "删除", permission = "maritimeAdministration:maritimeadministration:delete", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public boolean delete(
            @NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "id") Long id,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;


    @HttpMethod(description = "查询", permission = "maritimeAdministration:maritimeadministration:list", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public Page<MaritimeAdministrationDO> list(
            @HttpParam(name = "MaritimeAdministrationDTO", type = HttpParamType.COMMON, description = "MaritimeAdministrationDTO") MaritimeAdministrationDTO selectDTO,
            @HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
            @HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "添加", permission = "maritimeAdministration:maritimeadministration:create", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public MaritimeAdministrationDO create(
            @HttpParam(name = "MaritimeAdministrationDTO", type = HttpParamType.COMMON, description = "MaritimeAdministrationDTO") MaritimeAdministrationDTO insertDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "编辑", permission = "maritimeAdministration:maritimeadministration:edit", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public String edit(
            @HttpParam(name = "MaritimeAdministrationDTO", type = HttpParamType.COMMON, description = "MaritimeAdministrationDTO") MaritimeAdministrationDTO editDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "添加", permission = "maritimeAdministration:maritimeadministration:createAll", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public void createAll(
            @HttpParam(name = "MaritimeAdministrationDTO", type = HttpParamType.COMMON, description = "MaritimeAdministrationDTO") List<MaritimeAdministrationDTO> maritimeAdministrationDTOS) throws ServiceException;




    @HttpMethod(description = "导出", permission = "maritimeAdministration:maritimeAdministration:export", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public String export(
            @HttpParam(name = "MaritimeAdministrationDTO", type = HttpParamType.COMMON, description = "MaritimeAdministrationDTO") MaritimeAdministrationDTO foreignExchangeDTO,
            @HttpParam(name = "HttpServletResponse", type = HttpParamType.COMMON, description = "response") HttpServletResponse response) throws Exception;

    @HttpMethod(description = "查询详情", permission = "maritimeAdministration:maritimeAdministratio:getInfo", permissionParentName = "其他", permissionName = "MaritimeAdministration")
    public MaritimeAdministrationDO getInfo(@HttpParam(name = "id", type = HttpParamType.COMMON, description = "id") Long id) throws ServiceException;


}