package com.iotechn.unimall.admin.api.sys;

import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import com.iotechn.unimall.data.domain.MaritimeDetailDO;
import com.iotechn.unimall.data.dto.MaritimeDetailDTO;

/**
 * Generate Code By Unimall
 */
@HttpOpenApi(group = "admin.maritimedetail", description = "unimall_maritime_detailService")
public interface MaritimeDetailService {

    @HttpMethod(description = "删除", permission = "maritimeDetail:maritimedetail:delete", permissionParentName = "其他", permissionName = "MaritimeDetail")
    public boolean delete(
            @NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "id") Long id,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;


    @HttpMethod(description = "查询", permission = "maritimeDetail:maritimedetail:list", permissionParentName = "其他", permissionName = "MaritimeDetail")
    public Page<MaritimeDetailDO> list(
            @HttpParam(name = "MaritimeDetailDTO", type = HttpParamType.COMMON, description = "MaritimeDetailDTO") MaritimeDetailDTO selectDTO,
            @HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
            @HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "添加", permission = "maritimeDetail:maritimedetail:create", permissionParentName = "其他", permissionName = "MaritimeDetail")
    public MaritimeDetailDO create(
            @HttpParam(name = "MaritimeDetailDTO", type = HttpParamType.COMMON, description = "MaritimeDetailDTO") MaritimeDetailDTO insertDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "编辑", permission = "maritimeDetail:maritimedetail:edit", permissionParentName = "其他", permissionName = "MaritimeDetail")
    public String edit(
            @HttpParam(name = "MaritimeDetailDTO", type = HttpParamType.COMMON, description = "MaritimeDetailDTO") MaritimeDetailDTO editDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    }