package com.iotechn.unimall.admin.api.sys;


import com.iotechn.unimall.core.exception.AdminServiceException;
import com.iotechn.unimall.core.exception.ExceptionDefinition;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.iotechn.unimall.data.domain.MaritimeDetailDO;
import com.iotechn.unimall.data.dto.MaritimeDetailDTO;
import com.iotechn.unimall.data.mapper.MaritimeDetailMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.apache.ibatis.session.RowBounds;
import org.springframework.beans.BeanUtils;
import java.util.Date;
import java.util.List;

/**
 * Generate Code By Unimall
 */
@Service
public class MaritimeDetailServiceImpl implements MaritimeDetailService {

    @Autowired
    private MaritimeDetailMapper maritimeDetailMapper;

    @Override
    public boolean delete(Long id,  Long adminId) throws ServiceException {
        return maritimeDetailMapper.deleteById(id) > 0;
    }

    @Override
    public Page<MaritimeDetailDO> list(MaritimeDetailDTO selectDTO, Integer page, Integer limit, Long adminId) throws ServiceException {
        Wrapper<MaritimeDetailDO> wrapper = new EntityWrapper<MaritimeDetailDO>();
        List<MaritimeDetailDO> list = maritimeDetailMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);
        Integer count = maritimeDetailMapper.selectCount(wrapper);
        return new Page<MaritimeDetailDO>(list, page, limit, count);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public MaritimeDetailDO create(MaritimeDetailDTO insertDTO, Long adminId) throws ServiceException {
         Date now = new Date();
         MaritimeDetailDO insertDO = new MaritimeDetailDO();
         BeanUtils.copyProperties(insertDTO, insertDO);
         insertDO.setGmtUpdate(now);
         insertDO.setGmtCreate(now);
         if (maritimeDetailMapper.insert(insertDO) > 0) {
             return insertDO;
         }
         throw new AdminServiceException(ExceptionDefinition.ADMIN_UNKNOWN_EXCEPTION);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String edit(MaritimeDetailDTO editDTO,Long adminId) throws ServiceException {
         Date now = new Date();
         MaritimeDetailDO updateDO = new MaritimeDetailDO();
         BeanUtils.copyProperties(editDTO, updateDO);
         updateDO.setGmtUpdate(now);
         if (maritimeDetailMapper.updateById(updateDO) > 0) {
             return "ok";
         }
         throw new AdminServiceException(ExceptionDefinition.ADMIN_UNKNOWN_EXCEPTION);
    }

}
