package com.iotechn.unimall.admin.api.sys;

import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.dto.ExpressBusinessDTO;
import com.iotechn.unimall.data.model.Page;
import com.iotechn.unimall.data.domain.SettlementManagementDO;
import com.iotechn.unimall.data.dto.SettlementManagementDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Generate Code By Unimall
 */
@HttpOpenApi(group = "admin.settlement", description = "unimall_settlement_managementService")
public interface SettlementService {

    @HttpMethod(description = "删除", permission = "settlement:settlement:delete", permissionParentName = "其他", permissionName = "Settlement")
    public boolean delete(
            @NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "id") Long id,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;


    @HttpMethod(description = "查询", permission = "settlement:settlement:list", permissionParentName = "其他", permissionName = "Settlement")
    public Page<SettlementManagementDO> list(
            @HttpParam(name = "SettlementManagementDTO", type = HttpParamType.COMMON, description = "SettlementManagementDTO") SettlementManagementDTO selectDTO,
            @HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
            @HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "添加", permission = "settlement:settlement:create", permissionParentName = "其他", permissionName = "Settlement")
    public SettlementManagementDO create(
            @HttpParam(name = "SettlementManagementDTO", type = HttpParamType.COMMON, description = "SettlementManagementDTO") SettlementManagementDTO insertDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;

    @HttpMethod(description = "编辑", permission = "settlement:settlement:edit", permissionParentName = "其他", permissionName = "Settlement")
    public String edit(
            @HttpParam(name = "SettlementManagementDTO", type = HttpParamType.COMMON, description = "SettlementManagementDTO") SettlementManagementDTO editDTO,
            @NotNull @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "管理员ID") Long adminId) throws ServiceException;



    @HttpMethod(description = "导出", permission = "settlement:settlement:export", permissionParentName = "其他", permissionName = "Settlement")
    public String export(
            @HttpParam(name = "SettlementManagementDTO", type = HttpParamType.COMMON, description = "SettlementManagementDTO") SettlementManagementDTO settlementManagementDTO,
            @HttpParam(name = "HttpServletResponse", type = HttpParamType.COMMON, description = "response") HttpServletResponse response) throws Exception;


    @HttpMethod(description = "添加", permission = "settlement:settlement:createAll", permissionParentName = "其他", permissionName = "Settlement")
    public void createAll(
            @HttpParam(name = "SettlementManagementDTO", type = HttpParamType.COMMON, description = "SettlementManagementDTO") List<SettlementManagementDTO> settlementManagementDTOS) throws ServiceException;


}