import request from '@/utils/request'
import Qs from 'qs'

export function listMaritimeAdministration(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.maritimeadministration',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      MaritimeAdministrationDTO: JSON.stringify(query.type)
    }
  })
}

export function createMaritimeAdministration(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.maritimeadministration',
      _mt: 'create',
      MaritimeAdministrationDTO: JSON.stringify(data)
    })
  })
}

export function updateMaritimeAdministration(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.maritimeadministration',
      _mt: 'edit',
      MaritimeAdministrationDTO: JSON.stringify(data)
    })
  })
}

export function deleteMaritimeAdministration(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.maritimeadministration',
      _mt: 'delete',
      id: id
    }
  })
}
export function deleteMaritimeAdministrationLi(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.maritimedetail',
      _mt: 'delete',
      id: id
    }
  })
}

export function exportXlsx(query) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.maritimeadministration',
      _mt: 'export',
      MaritimeAdministrationDTO: JSON.stringify(query.type),
      response: 'blob'
    })
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.maritimeadministration',
      _mt: 'createAll',
      MaritimeAdministrationDTO: JSON.stringify(data)
    })
  })
}

export function listStatistics(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.expenditure',
      _mt: 'listStatistics',
      page: query.page,
      limit: query.limit,
      StatisticsView: JSON.stringify(query.type)
    }
  })
}
