import request from '@/utils/request'
import Qs from 'qs'

export function listMaritimeDetail(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.maritimeadministration',
      _mt: 'getInfo',
      page: query.page,
      limit: query.limit,
      ...query
    }
  })
}

export function createMaritimeDetail(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.maritimedetail',
      _mt: 'create',
      MaritimeDetailDTO: JSON.stringify(data)
    })
  })
}

export function updateMaritimeDetail(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.maritimedetail',
      _mt: 'edit',
      MaritimeDetailDTO: JSON.stringify(data)
    })
  })
}

export function deleteMaritimeDetail(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.maritimedetail',
      _mt: 'delete',
      id: id
    }
  })
}
