import request from '@/utils/request'
import Qs from 'qs'

export function listExpenditureManage(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.expenditure',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      ExpenditureManageDTO: JSON.stringify(query.type)
    }
  })
}

export function createExpenditureManage(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.expenditure',
      _mt: 'create',
      ExpenditureManageDTO: JSON.stringify(data)
    })
  })
}

export function updateExpenditureManage(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.expenditure',
      _mt: 'edit',
      ExpenditureManageDTO: JSON.stringify(data)
    })
  })
}

export function deleteExpenditureManage(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.expenditure',
      _mt: 'delete',
      id: id
    }
  })
}
