import request from '@/utils/request'
import Qs from 'qs'

export function listExpressBill(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.expressbill',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      ExpressBillDTO: JSON.stringify(query.type)
    }
  })
}

export function createExpressBill(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.expressbill',
      _mt: 'create',
      ExpressBillDTO: JSON.stringify(data)
    })
  })
}

export function updateExpressBill(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.expressbill',
      _mt: 'edit',
      expressBillDTOS: JSON.stringify(data)
    })
  })
}

export function deleteExpressBill(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.expressbill',
      _mt: 'delete',
      id: id
    }
  })
}

export function exportXlsx(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.expressbill',
      _mt: 'export',
      ExpressBillDTO: JSON.stringify(data),
      response: 'blob'
    })
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.expressbill',
      _mt: 'createAll',
      ExpressBillDTO: JSON.stringify(data)
    })
  })
}
