import request from '@/utils/request'
import Qs from 'qs'

export function listExpressBusiness(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.express',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      ExpressBusinessDTO: JSON.stringify(query.type),
    }
  })
}

export function addxiala(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.country',
      _mt: 'create',
      CountryDTO: JSON.stringify(data)
    })
  })
}
export function xiala() {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.country',
      _mt: 'counList',
    }
  })
}
export function scxiala(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.country',
      _mt: 'delete',
      id: id
    }
  })
}

export function createExpressBusiness(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.express',
      _mt: 'create',
      ExpressBusinessDTO: JSON.stringify(data)
    })
  })
}

export function updateExpressBusiness(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.express',
      _mt: 'edit',
      ExpressBusinessDTO: JSON.stringify(data)
    })
  })
}

export function deleteExpressBusiness(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.express',
      _mt: 'delete',
      id: id
    }
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.express',
      _mt: 'createAll',
      ExpressBusinessDTO: JSON.stringify(data)
    })
  })
}

export function exportXlsx(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.express',
      _mt: 'export',
      ExpressBusinessDTO: JSON.stringify(data),
      response: 'blob',
    })
  })
}