import request from '@/utils/request'
import Qs from 'qs'

export function listForeignExchange(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.foreignexchange',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      ForeignExchangeDTO: JSON.stringify(query.type)
    }
  })
}

export function createForeignExchange(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.foreignexchange',
      _mt: 'create',
      ForeignExchangeDTO: JSON.stringify(data)
    })
  })
}

export function updateForeignExchange(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.foreignexchange',
      _mt: 'edit',
      ForeignExchangeDTO: JSON.stringify(data)
    })
  })
}

export function deleteForeignExchange(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.foreignexchange',
      _mt: 'delete',
      id: id
    }
  })
}

export function exportXlsx(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.foreignexchange',
      _mt: 'export',
      ForeignExchangeDTO: JSON.stringify(data),
      response: 'blob'
    })
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.foreignexchange',
      _mt: 'createAll',
      ForeignExchangeDTO: JSON.stringify(data)
    })
  })
}
