import request from '@/utils/request'
import Qs from 'qs'

export function listProductSales(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.productsales',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      ProductSalesDTO: JSON.stringify(query.type)
    }
  })
}

export function createProductSales(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.productsales',
      _mt: 'create',
      ProductSalesDTO: JSON.stringify(data)
    })
  })
}

export function updateProductSales(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.productsales',
      _mt: 'edit',
      ProductSalesDTO: JSON.stringify(data)
    })
  })
}

export function deleteProductSales(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.productsales',
      _mt: 'delete',
      id: id
    }
  })
}

export function exportXlsx(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.productsales',
      _mt: 'export',
      ProductSalesDTO: JSON.stringify(data),
      response: 'blob'
    })
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.productsales',
      _mt: 'createAll',
      ProductSalesDTO: JSON.stringify(data)
    })
  })
}
