import request from '@/utils/request'
import Qs from 'qs'

export function listSettlementManagement(query) {
  return request({
    method: 'post',
    params:{
      _gp: 'admin.settlement',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      SettlementManagementDTO: JSON.stringify(query.type),
    }
  })
}

export function createSettlementManagement(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.settlement',
      _mt: 'create',
      SettlementManagementDTO: JSON.stringify(data)
    })
  })
}

export function updateSettlementManagement(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.settlement',
      _mt: 'edit',
      SettlementManagementDTO: JSON.stringify(data)
    })
  })
}

export function deleteSettlementManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.settlement',
      _mt: 'delete',
      id: id
    }
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.settlement',
      _mt: 'createAll',
      SettlementManagementDTO: JSON.stringify(data)
    })
  })
}

export function exportXlsx(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.settlement',
      _mt: 'export',
      SettlementManagementDTO: JSON.stringify(data),
      response: 'blob',
    })
  })
}

export function getGoodsList(query) {
  return request({
    method: 'get',
    params:{
      _gp: 'admin.stock',
      _mt: 'stockList',
    }
  })
}