import request from '@/utils/request'
import Qs from 'qs'

export function listStockManagement(query) {
  return request({
    method: 'post',
    params:{
      _gp: 'admin.stock',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      StockManagementDTO: JSON.stringify(query.type),
    }
  })
}

export function createStockManagement(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.stock',
      _mt: 'create',
      StockManagementDTO: JSON.stringify(data)
    })
  })
}

export function updateStockManagement(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.stock',
      _mt: 'edit',
      StockManagementDTO: JSON.stringify(data)
    })
  })
}

export function deleteStockManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.stock',
      _mt: 'delete',
      id: id
    }
  })
}

export function importWord(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.stock',
      _mt: 'createAll',
      StockManagementDTO: JSON.stringify(data)
    })
  })
}

export function exportXlsx(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.stock',
      _mt: 'export',
      StockManagementDTO: JSON.stringify(data),
      response: 'blob',
    })
  })
}

export function getGoodsList(query) {
  return request({
    method: 'get',
    params:{
      _gp: 'admin.stock',
      _mt: 'stockList',
    }
  })
}