package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_express_business")
public class ExpressBusinessDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 业务编号 */
     @Excel(name = "业务编号")
    private String businessNo;
     /* 日期 */
     @Excel(name = "日期")
    private String expressDate;
     /* 快递公司 */
     @Excel(name = "快递公司")
    private String courierAervices;
     /* 客户编号 */
     @Excel(name = "客户编号")
    private String customerNo;
     /* 发件人 */
     @Excel(name = "发件人")
    private String sender;
     /* 电话 */
     @Excel(name = "电话")
    private String phone;
     /* 收件人 */
     @Excel(name = "收件人")
    private String addressee;
     /* 收件人地址 */
     @Excel(name = "收件人地址")
    private String recipientAddress;
     /* 收件人电话 */
     @Excel(name = "收件人电话")
    private String recipientPhone;
     /* 货品 */
     @Excel(name = "货品")
    private String goods;
     /* 重量 */
     @Excel(name = "重量")
    private String weight;
     /* 体积 */
     @Excel(name = "体积")
    private String volume;
     /* 金额 */
     @Excel(name = "金额")
    private Double money;
     /* 状态 */
     @Excel(name = "状态", readConverterExp = "0=未收款,1=已收款")
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String startDate;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String endDate;
    /* companyId */
    private List<ExpressBusinessDTO> expressBusinessDTOS;
}
