package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_settlement_management")
public class SettlementManagementDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 商品名称 */
     @Excel(name = "商品名称")
    private String tradeName;
    @Excel(name = "结算日期")
    private String closingDate;
     /* 数量 */
     @Excel(name = "数量")
    private Integer num;
     /* 单价 */
     @Excel(name = "单价")
    private Double price;
     /* 成本 */
     @Excel(name = "成本")
    private Double cost;
     /* 合计 */
     @Excel(name = "收款合计")
    private Double amount;
     /* 成本合计 */
     @Excel(name = "成本合计")
    private Double totalCost;
     /* 支付方式（1微信2支付宝3现金） */
     @Excel(name = "支付方式", readConverterExp = "1=微信,2=支付宝,3=现金")
    private String howPay;
     /* 备注 */
    private String sender;
     /* 状态 */
     @Excel(name = "状态", readConverterExp = "0=未收款,1=已收款")
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String startDate;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String endDate;
    /* companyId */
    private List<SettlementManagementDTO> settlementManagementDTOS;
}
